# eric7.Plugins.VcsPlugins.vcsGit.GitUserConfigDataDialog

Module implementing a dialog to enter some user data.

### Global Attributes

None

### Classes

GitUserConfigDataDialog | Class implementing a dialog to enter some user data.

### Functions

None

## GitUserConfigDataDialog

Class implementing a dialog to enter some user data.

### Derived from

QDialog, Ui_GitUserConfigDataDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitUserConfigDataDialog | Constructor
getData | Public method to retrieve the entered data.

### Static Methods

None

#### GitUserConfigDataDialog (Constructor)

GitUserConfigDataDialog(version=(0, 0), parent=None)

Constructor

version
  Git version info (tuple of two integers)
parent
  reference to the parent widget (QWidget)

#### GitUserConfigDataDialog.getData

getData()

Public method to retrieve the entered data.

Return:
  tuple with user's first name, last name and email address (tuple of three strings)

Up